body table.dataTable {
  font-family: Roboto;
  margin-bottom: 20px;
}

body table.dataTable td {
  border-top: 1px solid #ddd;
}

body:not(.mobile) .content-wrapper table.dataTable:not(.fixedHeader-floating) thead th,
body:not(.mobile) table.dataTable:not(.fixedHeader-floating) thead th,
body:not(.mobile) table.dataTable:not(.fixedHeader-floating) thead td {
  width: auto!important;
}

body:not(.mobile) table.trending-projects-table.dataTable:not(.fixedHeader-floating) thead th:nth-child(3) {
  width: 122px!important;
}

.trending-projects-table .upgrade-to-pro-wrap {
  width: 220px;
  top: -75px;
}

.alpha-most-followed-table .upgrade-to-pro-wrap {
  width: 220px;
  top: -80px !important;
}

.alpha-friendship-history-table .upgrade-to-pro-wrap {
  width: 220px;
  top: -80px !important;
}

body:not(.mobile) table.trending-projects-table.dataTable:not(.fixedHeader-floating) thead th:nth-child(4) {
  width: 235px!important;
}

.count-value-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
}

.count-value-text,
.diff-value-text {
  white-space: nowrap;
}

.content-wrapper table.dataTable thead th,
body table.dataTable thead th,
body table.dataTable thead td {
  /*border-bottom: none;*/
  /*vertical-align: middle;*/
  /*padding: 5px 5px 10px;*/
  color: var(--grey-light);
  cursor: pointer;
  font-weight: 800;
  font-size: 15px;
  line-height: 14px;
}

.content-wrapper table.dataTable thead th,
body table.dataTable thead th,
body table.dataTable thead td {
  color: var(--grey-800);
  border-bottom: none;
}

.dark .content-wrapper table.dataTable thead th,
body.dark table.dataTable thead th,
body.dark table.dataTable thead td {
  color: var(--white);
}

.btn-row {
    position: relative;
}

body .fixedHeader-floating {
  height: 45px;
}

table.dataTable tbody tr {
  position: relative;
}

.dark table.dataTable tbody tr,
.content-wrapper table.dataTable tbody tr.odd,
.content-wrapper table.dataTable tbody tr.even,
.content-wrapper table.dataTable tbody tr.odd>.sorting_1,
.content-wrapper table.dataTable tbody tr.even>.sorting_1 {
  background-color: transparent;
}

.table-page .dataTable tr:nth-last-child(2) td {
  position: relative;
}

.table-page .dataTable tr:nth-last-child(2) td .upgrade-to-pro-wrap {
  left: 0;
}

table.dataTable.display tbody tr>.sorting_1 {
  background-color: transparent;
}

.dark table.dataTable.display tbody tr:not(.disabled):hover>.sorting_1 {
  background-color: rgb(63 63 70 / 1);
}

.table-wrapper-block {
  min-height: 300px;
}

table.dataTable.display tbody tr:not(.disabled):hover>.sorting_1 {
  background-color: rgb(243 244 246 / 1);
}

.dark table.dataTable.display tbody tr {
  background-color: transparent;
}

.content-wrapper table.dataTable tbody tr:first-child td {
  border-top: 1px solid #ddd;
}

.content-wrapper table.dataTable tbody tr:not(.disabled):hover td,
.content-wrapper table.dataTable tbody tr:not(.disabled):hover + tr td {
  border-top-color: transparent;
}

.content-wrapper table.dataTable tbody tr:hover td {
  background-color: rgb(243 244 246 / 1);
}

.content-wrapper table.dataTable tbody tr.disabled:hover td {
  background-color: transparent;
}

.dark .content-wrapper table.dataTable tbody tr:hover td {
  background-color: rgb(63 63 70 / 1);
}

.content-wrapper table.dataTable tbody tr.disabled:hover td {
  background-color: transparent;
}


.content-wrapper table.dataTable tbody tr:not(.disabled):hover td:first-child {
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}

.content-wrapper table.dataTable tbody tr:not(.disabled):hover td:last-child {
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}

/* .content-wrapper table.dataTable tbody tr {
  position: relative;
}

.content-wrapper table.dataTable tbody tr td:first-child > div {
  position: unset;
}

.content-wrapper table.dataTable tbody tr td:first-child > div div,
.content-wrapper table.dataTable tbody tr td:first-child > div span {
  position: relative;
  z-index: 10;
} */

/* .content-wrapper table.dataTable tbody tr td:first-child > div:before {
  content: '';
  display: none;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 8px;
  background-color: var(--dark-black2);
} */

.content-wrapper table.dataTable tbody tr td > span,
.content-wrapper table.dataTable tbody tr td > div {
  position: relative;
}

.content-wrapper table.dataTable tbody tr.disabled td > div {
  width: 100%;
  height: 40px;
}

.content-wrapper table.dataTable tbody tr:hover td:first-child > div:before {
  display: block;
}

/* .dark .content-wrapper table.dataTable tbody tr:hover td {
  background-color: var(--dark-black2);
} */

td.iamges-block {
  display: flex;
  flex-direction: row;
  gap: 8px;
}

.mobile .project_width {
  white-space: normal!important;
}

.mobile .project_width .description {
  width: 300px;
}

.content-wrapper table.dataTable tr td:first-child {
  padding: 10px 17px;
  vertical-align: middle;
  white-space: nowrap;
}

.content-wrapper.watchlist table.dataTable tr td:first-child {
  padding: 10px;
}

.decription-data {
  font-size: 12px;
  color: var(--grey-800);
}

.score-wrapper {
  align-items: center;
  padding-right: 10px;
  gap: 5px;
}

.data-content {
  width: 100%;
}

.score-wrapper div {
  white-space: nowrap;
}

/*table.dataTable thead .sorting {*/
/*  background-position: 50% 3px;*/
/*  background-position-x: center;*/
/*  background-position-y: center;*/
/*}*/

/*table.dataTable thead .sorting_desc {*/
/*  background-position: 50% 0;*/
/*}*/

.user-name-text {
  font-weight: 500;
  font-size: 14px;
  line-height: 20px;
  color: var(--black);
}

.user-twitter-name {
  font-weight: 400;
  font-size: 12px;
  line-height: 20px;
  color: var(--grey-800);
}

.content {
  width: 100%;
}

.icon-image {
  width: 16px;
  height: auto;
}

.star-button {
  padding: 0;
  background-color: transparent;
  width: 60px;
  border: none;
  height: 60px;
}

.content-wrapper .dataTables_wrapper .dataTables_paginate,
.content-wrapper .dataTables_wrapper .dataTables_paginate a,
.content-wrapper .dataTables_wrapper .dataTables_paginate>span {
  display: flex;
  flex-direction: row;
  align-items: center;
}

table,
table.dataTable {
  font-weight: 500;
  font-size: 14px;
  line-height: 20px;
}

table.dataTable td {
  vertical-align: middle;
}

.dataTables_wrapper .dataTables_length {
  float: left;
}

.dataTables_wrapper .dataTables_filter {
  float: right;
}

.mobile .dataTables_wrapper .dataTables_filter,
.mobile .dataTables_wrapper .dataTables_filter label,
.mobile .dataTables_wrapper .dataTables_filter input {
  width: 100%;
  margin: 0;
}

.mobile .dataTables_wrapper .dataTables_filter {
  margin-bottom: 20px;
}

.content-wrapper .dataTables_wrapper .dataTables_paginate>span {}

.content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button {
  font-family: Roboto;
  font-size: 14px;
  height: 40px;
  width: 40px;
  border-radius: 50px;
  background: var(--grey-200);
  display: flex;
  flex-shrink: 0;
  align-items: center;
  justify-content: center;
  transition: all 0.25s cubic-bezier(0.4, 0, 0.2, 1);
}

.top-100-table {
  display: block;
  overflow-y: auto;
}

.dark table.dataTable.row-border tbody th,
.dark table.dataTable.row-border tbody td,
.dark table.dataTable.display tbody th,
.dark table.dataTable.display tbody td,
.dark table.dataTable.display tbody tr:first-child td {
  border-top: 1px solid var(--grey-800);
}

table.dataTable.display tbody tr:not(.disabled):first-child:hover td {
  border-top-color: transparent;
}

.dark .content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button {
  color: var(--black);
  border-color: transparent;
}

.content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  background: var(--blue-violet);
  color: var(--white);
  border-color: var(--grey-200);
}

.dark .content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  border-color: transparent;
}

.content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button.current {
  border: none;
  background: var(--blue);
  color: var(--white) !important;
}

.dark .content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button.current {
  color: var(--black) !important;
}

.dataTables_filter {
  margin-bottom: 30px;
}

.hide-name {
  position: absolute;
  left: -5000px;
  opacity: 0;
}

.tooltip-icon {
  cursor: pointer;
}

.paginate_button.previous,
.paginate_button.next {
  position: relative;
}

.paginate_button.previous:after,
.paginate_button.next:after {
  content: '';
  display: block;
  border-top: 1.5px solid var(--black);
  border-right: 1.5px solid var(--black);
  width: 10px;
  height: 10px;
  position: absolute;
  left: 50%;
  top: 50%;
}

.paginate_button.previous:after {
  transform: translate(-5px, -5px) rotate(-135deg);
}

.paginate_button.next:after {
  transform: translate(-5px, -5px) rotate(45deg);
}

.paginate_button.disabled {
  opacity: 0.38;
}

.content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover {
  background: var(--grey-200);
}

.content-wrapper .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover:after {
  border-color: var(--black);
}

.paginate_button:hover:after {
  border-color: var(--white);
}

.friendship-followed-table-content,
.friendship-followed-table-content .btn-group,
.friendship-followed-table-content .btn-group .filters-wrapper {
  width: 100%;
  overflow: hidden;
}


.overview-tags-list-item.tag-1,
.dark .overview-tags-list-item.tag-1,
.dark .table-inside .filters-wrapper .nav-tabs .nav-link.tag-1 {
  background-color: var(--green-light);
}

.overview-tags-list-item.tag-1:hover,
.overview-tags-list-item.tag-1.active,
.table-inside .filters-wrapper .nav-tabs .nav-link.tag-1.active .nav-link.tag-1:hover {
  background-color: var(--green-light2);
}

.dark .overview-tags-list-item.tag-1:hover,
.dark .overview-tags-list-item.tag-1.active,
.dark .table-inside .filters-wrapper .nav-tabs .nav-link.tag-1.active .nav-link.tag-1:hover {
  background-color: var(--green-light3);
}

.overview-tags-list-item.tag-2,
.dark .overview-tags-list-item.tag-2,
.dark .table-inside .filters-wrapper .nav-tabs .nav-link.tag-2 {
  background-color: var(--yellow-light);
}

.overview-tags-list-item.tag-2:hover,
.overview-tags-list-item.tag-2.active,
.table-inside .filters-wrapper .nav-tabs .nav-link.tag-2.active .nav-link.tag-2:hover {
  background-color: var(--yellow-light2);
}

.dark .overview-tags-list-item.tag-2:hover,
.dark .overview-tags-list-item.tag-2.active,
.dark .table-inside .filters-wrapper .nav-tabs .nav-link.tag-2.active .nav-link.tag-2:hover {
  background-color: var(--yellow-light3);
}

.overview-tags-list-item.tag-3,
.dark .overview-tags-list-item.tag-3,
.dark .table-inside .filters-wrapper .nav-tabs .nav-link.tag-3 {
  background-color: var(--blue-dark);
}

.overview-tags-list-item.tag-3:hover,
.overview-tags-list-item.tag-3.active,
.table-inside .filters-wrapper .nav-tabs .nav-link.tag-3.active .nav-link.tag-3:hover {
  background-color: var(--blue-dark2);
}

.dark .overview-tags-list-item.tag-3:hover,
.dark .overview-tags-list-item.tag-3.active,
.dark .table-inside .filters-wrapper .nav-tabs .nav-link.tag-3.active .nav-link.tag-3:hover {
  background-color: var(--blue-dark3);
}

.wrapper .filters-wrapper .nav-tabs .nav-link.active,
.filters-wrapper .nav-tabs input:checked + .nav-link {
  border-color: var(--success)!important;
 }

.category-select-wrapper {
  display: inline-block;
  margin-left: 20px;
  transform: translateY(40px);
  position: relative;
  z-index: 1;
}

.mobile .category-select-wrapper {
  width: 100%;
  margin: 0;
  transform: none;
  margin-bottom: 20px;
}

.mobile .category-select-block {
  display: flex;
  flex-direction: column;
}

.mobile .category-select-block span {
  display: block;
  margin-bottom: 10px;
}

.dark .category-select-block option {
  background-color: var(--dark-grey);
}

.table-inside {
  position: relative;
}

.alpha-page .table-inside {
  flex-direction: column;
}

.alpha-page .nav-tabs {
  display: flex;
}

.alpha-filters {
  margin-bottom: -70px;
  display: inline-block;
  position: relative;
  z-index: 1;
}

.alpha-page .table-inside .filters-wrapper .nav-tabs .nav-link {
  padding: 8px 12px;
}

.page-title {
  margin-bottom: 30px;
}

.category-select-wrapper select {
  padding: 5px;
}

.table-buttons-wrapper {
  float: left;
}

.nft-upcoming-page table td {
  padding: 17px;
}

.nft-upcoming-page table .description {
  width: 300px;
  white-space: normal;
}

.coins-page .table-buttons-wrapper {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin-bottom: -38px;
  gap: 20px;
}

.coins-page .table-buttons-wrapper {
  margin: 0 10px;
  z-index: 1;
  position: relative;
}

.coins-page .table-buttons-wrapper > div {
  z-index: unset;
}

.coins-page .capitalis .info-icon .info-icon-content {
  width: 300px;
  white-space: normal;
  transform: translateX(-47%) translateY(-42px);
}

.coins-page .table-buttons-wrapper > div div {
  align-items: center;
}

.selected-button {
  flex-direction: row;
  display: flex;
  align-items: center;
  gap: 10px;
}

.table-buttons-wrapper > div {
  margin: 0 10px 20px;
  margin-bottom: -53px;
  position: relative;
  z-index: 1;
}

.table-page {
  position: relative;
}

.table-page th:first-child,
.table-page td:first-child {
  padding: 20px;
}

.table-page td {
  vertical-align: middle;
}

.table-page th:nth-child(2),
.table-page td:nth-child(2),
.table-page th:nth-child(3),
.table-page td:nth-child(3) {
  text-align: left!important;
  width: 220px;
}



.new-project-info-table {
  background-color: var(--black);
  display: inline-flex;
  flex-direction: row;
  border-radius: 4px;
  justify-content: space-between;
  min-width: 326px;
  align-items: center;
  padding: 6px 11px;
  color: var(--white);
}

.new-project-info-table:hover {
  text-decoration: none;
}

.new-project-info-table .info {
  font-size: 12px;
  color: var(--white);
  display: flex;
  flex-direction: column;
  margin: 0 5px 0 10px;
}

.new-project-info-table .info span {
  color: var(--white);
  line-height: normal;
}

.new-project-info-table .new-project-btn {
  opacity: 0.3;
  transition: all ease-in-out 0.3s;
}

.new-project-info-table:hover .new-project-btn {
  opacity: 1;
}
